| ghc-6.10.4: The GHC API | Contents | Index

NCGMonad

Documentation
data NatM_State

Constructors

NatM_State |

natm_us :: UniqSupply |
natm_delta :: Int |
natm_imports :: [CLabel] |
natm_pic :: Maybe Reg |
natm_dflags :: DynFlags |

mkNatM_State :: UniqSupply -> Int -> DynFlags -> NatM_State
data NatM result

Instances

Monad NatM

initNat :: NatM_State -> NatM a -> (a, NatM_State)
addImportNat :: CLabel -> NatM ()
getUniqueNat :: NatM Unique
mapAccumLNat :: (acc -> x -> NatM (acc, y)) -> acc -> [x] -> NatM (acc, [y])
setDeltaNat :: Int -> NatM ()
getDeltaNat :: NatM Int
getBlockIdNat :: NatM BlockId
getNewLabelNat :: NatM CLabel
getNewRegNat :: MachRep -> NatM Reg
getNewRegPairNat :: MachRep -> NatM (Reg, Reg)
getPicBaseMaybeNat :: NatM (Maybe Reg)
getPicBaseNat :: MachRep -> NatM Reg
getDynFlagsNat :: NatM DynFlags
Produced by Haddock version 2.4.2